Bug 723548 - Add '--partial' to LVM activation code in dracut initramfs
Summary: Add '--partial' to LVM activation code in dracut initramfs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: dracut
Version: 6.2
Hardware: All
OS: Linux
unspecified
high
Target Milestone: rc
: ---
Assignee: Harald Hoyer
QA Contact: Release Test Team
URL:
Whiteboard:
Depends On:
Blocks: 498670 734124
TreeView+ depends on / blocked
 
Reported: 2011-07-20 14:41 UTC by Peter Rajnoha
Modified: 2011-12-06 16:48 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
LVM mirrors were not supported as a root device by the dracut initramfs. This enhancement adds support for LVM mirror devices to serve as the root device. Additionally degraded mirrors are used after a certain timeout, when the other half could not be found at booting time.
Clone Of:
: 734124 (view as bug list)
Environment:
Last Closed: 2011-12-06 16:48:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1521 normal SHIPPED_LIVE dracut bug fix and enhancement update 2011-12-06 00:50:19 UTC

Description Peter Rajnoha 2011-07-20 14:41:37 UTC
Description of problem:
Add '--partial' to LVM activation code in dracut initramfs to support booting from incomplete VGs (e.g. a mirror volume with a failed/missing leg).

Additional info:
For more details see bug #498670.

Comment 1 RHEL Program Management 2011-07-20 15:40:06 UTC
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.

Comment 2 Harald Hoyer 2011-08-10 13:35:56 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
LVM mirrors were not supported as a root device by the dracut initramfs. This enhancement adds support for LVM mirror devices to serve as the root device. Additionally degraded mirrors are used after a certain timeout, when the other half could not be found at booting time.

Comment 4 Alexander Todorov 2011-09-21 13:14:11 UTC
Tested and fixed in dracut-004-234.el6.noarch:

dracut: Scanning devices vda3 vdb1  for LVM logical volumes vg_root/lv_root 
dracut: Couldn't find device with uuid 1OxUpW-StWs-arT8-uysD-gej0-Do7c-Dcjjs0.
dracut: inactive '/dev/vg_root/lv_root' [6.00 GiB] inherit
dracut: Couldn't find device with uuid 1OxUpW-StWs-arT8-uysD-gej0-Do7c-Dcjjs0.
dracut: Refusing activation of partial LV lv_root. Use --partial to override.
dracut: Scanning devices vda3 vdb1  for LVM logical volumes vg_root/lv_root 
dracut: Couldn't find device with uuid 1OxUpW-StWs-arT8-uysD-gej0-Do7c-Dcjjs0.
dracut: inactive '/dev/vg_root/lv_root' [6.00 GiB] inherit
dracut: Partial mode. Incomplete logical volumes will be processed.
dracut: Couldn't find device with uuid 1OxUpW-StWs-arT8-uysD-gej0-Do7c-Dcjjs0.
EXT4-fs (dm-4): mounted filesystem with ordered data mode. Opts: 
dracut: Mounted root filesystem /dev/mapper/vg_root-lv_root
dracut: Loading SELinux policy
type=1404 audit(1316610779.536:2): enforcing=1 old_enforcing=0 auid=4294967295 ses=4294967295
type=1403 audit(1316610779.951:3): policy loaded auid=4294967295 ses=4294967295
dracut: 
dracut: Switching root
readahead: starting
		Welcome to Red Hat Enterprise Linux Server
Starting udev: udev: starting version 147

Comment 5 errata-xmlrpc 2011-12-06 16:48:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1521.html


Note You need to log in before you can comment on or make changes to this bug.